Page MenuHomePhabricator

dewikinews-rss: Huge $HOME/error.log output for each page load
Closed, ResolvedPublic

Description

$ webservice stop
$ rm error.log
$ webservice start
$ curl https://tools.wmflabs.org/dewikinews-rss/
$ sleep 60  # Give NFS a chance to catch up
$ ls -lh error.log
-rw-r--r-- 1 tools.dewikinews-rss tools.dewikinews-rss 285K Jan 13 22:13 error.log
$ grep 'PHP Warning' error.log | cut -d' ' -f 5- | sort | uniq -c
    180 PHP Warning:  preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead in /mnt/nfs/labstore-secondary-tools-project/dewikinews-rss/php/classes/HTMLEntityConverter.php on line 36
    180 PHP Warning:  preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead in /mnt/nfs/labstore-secondary-tools-project/dewikinews-rss/php/classes/HTMLEntityConverter.php on line 38

Event Timeline

bd808 created this task.Jan 13 2020, 10:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 13 2020, 10:17 PM

Mentioned in SAL (#wikimedia-cloud) [2020-01-13T22:39:27Z] <bd808> Hot patched deployment with fix proposed at https://github.com/dapete42/dewikinews-rss/pull/2 (T242680)

Dapete closed this task as Resolved.Jan 14 2020, 9:30 PM
Dapete claimed this task.

Thanks Bryan, looks good, I have merged your patch.